#!/bin/sh

DPWINE=`which deepin-wine`
DPWINE5=`which deepin-wine5`
WINE=`which wine`

if [ "$DPWINE" != "" ]; then
	echo "Found deepin-wine!"
	echo "Using deepin-wine!"
	WINEEXEC="deepin-wine"
	if [ ! -d "$HOME/.deepinwine" ]; then
		mkdir "$HOME/.deepinwine"
	fi
	BOTTLE="$HOME/.deepinwine/Nagip"
elif [ "$DPWINE5" != "" ]; then
	echo "Found deepin-wine5!"
	echo "Using deepin-wine5!"
	WINEEXEC="deepin-wine5"
	if [ ! -d "$HOME/.deepinwine" ]; then
		mkdir "$HOME/.deepinwine"
	fi
	BOTTLE="$HOME/.deepinwine/Nagip_wine5"
elif [ "$WINE" != "" ]; then
	echo "Found wine!"
	echo "Using wine!"
	WINEEXEC="wine"
	BOTTLE="$HOME/.wine"
else
	echo "Cannot find wine!"
fi

if [ ! -d $BOTTLE ]; then
	echo "BOTTLE are not created, creating BOTTLE..."
	mkdir $BOTTLE
fi

echo "Running!"
env WINEPREFIX="$BOTTLE" $WINEEXEC /opt/nagip/nstw/nstower.exe
